org.apache.hadoop.yarn.webapp.hamlet2

## Class Hamlet.FIELDSET<T extends HamletSpec.__>

- java.lang.Object
- - org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp<T>
  - - org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.FIELDSET<T>

- All Implemented Interfaces:
    HamletSpec.__, HamletSpec._Anchor, HamletSpec._Block, HamletSpec._Child, HamletSpec._Content, HamletSpec._FieldSet, HamletSpec._FontSize, HamletSpec._FontStyle, HamletSpec._Form, HamletSpec._FormCtrl, HamletSpec._ImgObject, HamletSpec._InsDel, HamletSpec._Label, HamletSpec._Legend, HamletSpec._Object, HamletSpec._RawContent, HamletSpec._Script, HamletSpec._Special, HamletSpec._SubSup, HamletSpec.Attrs, HamletSpec.Block, HamletSpec.CoreAttrs, HamletSpec.EventsAttrs, HamletSpec.FIELDSET, HamletSpec.Flow, HamletSpec.FontStyle, HamletSpec.FormCtrl, HamletSpec.Heading, HamletSpec.I18nAttrs, HamletSpec.Inline, HamletSpec.Listing, HamletSpec.PCData, HamletSpec.Phrase, HamletSpec.Preformatted, HamletSpec.Special
  Enclosing class:
    Hamlet

      public class Hamlet.FIELDSET<T extends HamletSpec.__>
      extends HamletImpl.EImp<T>
      implements HamletSpec.FIELDSET

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FIELDSET(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Hamlet.FIELDSET<T>` | `__(Class<? extends SubView> cls)` Embed a sub-view.
    `Hamlet.FIELDSET<T>` | `__(Object... lines)` Content of the element
    `Hamlet.FIELDSET<T>` | `_r(Object... lines)` Raw (no need to be HTML escaped) content
    `Hamlet.FIELDSET<T>` | `$class(String value)` space-separated list of classes
    `Hamlet.FIELDSET<T>` | `$dir(HamletSpec.Dir value)` direction for weak/neutral text
    `Hamlet.FIELDSET<T>` | `$id(String value)` document-wide unique id
    `Hamlet.FIELDSET<T>` | `$lang(String value)` language code
    `Hamlet.FIELDSET<T>` | `$onclick(String value)` a pointer button was clicked
    `Hamlet.FIELDSET<T>` | `$ondblclick(String value)` a pointer button was double clicked
    `Hamlet.FIELDSET<T>` | `$onkeydown(String value)` a key was pressed down
    `Hamlet.FIELDSET<T>` | `$onkeypress(String value)` a key was pressed and released
    `Hamlet.FIELDSET<T>` | `$onkeyup(String value)` a key was released
    `Hamlet.FIELDSET<T>` | `$onmousedown(String value)` a pointer button was pressed down
    `Hamlet.FIELDSET<T>` | `$onmousemove(String value)` a pointer was moved within
    `Hamlet.FIELDSET<T>` | `$onmouseout(String value)` a pointer was moved away
    `Hamlet.FIELDSET<T>` | `$onmouseover(String value)` a pointer was moved onto
    `Hamlet.FIELDSET<T>` | `$onmouseup(String value)` a pointer button was released
    `Hamlet.FIELDSET<T>` | `$style(String value)` associated style info
    `Hamlet.FIELDSET<T>` | `$title(String value)` advisory title
    `Hamlet.A<Hamlet.FIELDSET<T>>` | `a()` Add a A (anchor) element.
    `Hamlet.A<Hamlet.FIELDSET<T>>` | `a(String selector)` Add a A (anchor) element.
    `Hamlet.FIELDSET<T>` | `a(String href, String anchorText)` Shortcut for `a().$href(href).__(anchorText).__();`
    `Hamlet.FIELDSET<T>` | `a(String selector, String href, String anchorText)` Shortcut for `a(selector).$href(href).__(anchorText).__();`
    `Hamlet.ABBR<Hamlet.FIELDSET<T>>` | `abbr()` Add an ABBR (abbreviation) element.
    `Hamlet.FIELDSET<T>` | `abbr(String cdata)` Add a ABBR (abbreviation) element.
    `Hamlet.FIELDSET<T>` | `abbr(String selector, String cdata)` Add a ABBR (abbreviation) element.
    `Hamlet.ADDRESS<Hamlet.FIELDSET<T>>` | `address()` Add a ADDRESS element.
    `Hamlet.FIELDSET<T>` | `address(String cdata)` Add a complete ADDRESS element.
    `Hamlet.B<Hamlet.FIELDSET<T>>` | `b()` Add a new B (bold/important) element.
    `Hamlet.FIELDSET<T>` | `b(String cdata)` Add a complete B (bold/important) element.
    `Hamlet.FIELDSET<T>` | `b(String selector, String cdata)` Add a complete B (bold/important) element.
    `Hamlet.BDO<Hamlet.FIELDSET<T>>` | `bdo()` Add a bdo (bidirectional override) element
    `Hamlet.FIELDSET<T>` | `bdo(HamletSpec.Dir dir, String cdata)` Add a bdo (bidirectional override) element
    `Hamlet.BLOCKQUOTE<Hamlet.FIELDSET<T>>` | `blockquote()` Add a BLOCKQUOTE element.
    `Hamlet.BLOCKQUOTE<Hamlet.FIELDSET<T>>` | `bq()` Alias of blockquote
    `Hamlet.BR<Hamlet.FIELDSET<T>>` | `br()` Add a BR (line break) element.
    `Hamlet.FIELDSET<T>` | `br(String selector)` Add a BR (line break) element.
    `Hamlet.BUTTON<Hamlet.FIELDSET<T>>` | `button()` Add a BUTTON element.
    `Hamlet.BUTTON<Hamlet.FIELDSET<T>>` | `button(String selector)` Add a BUTTON element.
    `Hamlet.FIELDSET<T>` | `button(String selector, String cdata)` Add a complete BUTTON element.
    `Hamlet.CITE<Hamlet.FIELDSET<T>>` | `cite()` Add a CITE element.
    `Hamlet.FIELDSET<T>` | `cite(String cdata)` Add a CITE element.
    `Hamlet.FIELDSET<T>` | `cite(String selector, String cdata)` Add a CITE element.
    `Hamlet.CODE<Hamlet.FIELDSET<T>>` | `code()` Add a CODE (code fragment) element.
    `Hamlet.FIELDSET<T>` | `code(String cdata)` Add a complete CODE element.
    `Hamlet.FIELDSET<T>` | `code(String selector, String cdata)` Add a complete CODE element.
    `Hamlet.DEL<Hamlet.FIELDSET<T>>` | `del()` Add a DEL (delete) element.
    `Hamlet.FIELDSET<T>` | `del(String cdata)` Add a complete DEL element.
    `Hamlet.DFN<Hamlet.FIELDSET<T>>` | `dfn()` Add a DFN element.
    `Hamlet.FIELDSET<T>` | `dfn(String cdata)` Add a complete DFN element.
    `Hamlet.FIELDSET<T>` | `dfn(String selector, String cdata)` Add a complete DFN element.
    `Hamlet.DIV<Hamlet.FIELDSET<T>>` | `div()` Add a DIV element.
    `Hamlet.DIV<Hamlet.FIELDSET<T>>` | `div(String selector)` Add a DIV element.
    `Hamlet.DL<Hamlet.FIELDSET<T>>` | `dl()` Add a DL (description list) element.
    `Hamlet.DL<Hamlet.FIELDSET<T>>` | `dl(String selector)` Add a DL element.
    `Hamlet.EM<Hamlet.FIELDSET<T>>` | `em()` Add an EM (emphasized) element.
    `Hamlet.FIELDSET<T>` | `em(String cdata)` Add an EM (emphasized) element.
    `Hamlet.FIELDSET<T>` | `em(String selector, String cdata)` Add an EM (emphasized) element.
    `Hamlet.FIELDSET<Hamlet.FIELDSET<T>>` | `fieldset()` Add a FIELDSET element.
    `Hamlet.FIELDSET<Hamlet.FIELDSET<T>>` | `fieldset(String selector)` Add a FIELDSET element.
    `Hamlet.FORM<Hamlet.FIELDSET<T>>` | `form()` Add a FORM element.
    `Hamlet.FORM<Hamlet.FIELDSET<T>>` | `form(String selector)` Add a FORM element.
    `Hamlet.H1<Hamlet.FIELDSET<T>>` | `h1()` Add an H1 element.
    `Hamlet.FIELDSET<T>` | `h1(String cdata)` Add a complete H1 element.
    `Hamlet.FIELDSET<T>` | `h1(String selector, String cdata)` Add a complete H1 element
    `Hamlet.H2<Hamlet.FIELDSET<T>>` | `h2()` Add an H2 element.
    `Hamlet.FIELDSET<T>` | `h2(String cdata)` Add a complete H2 element.
    `Hamlet.FIELDSET<T>` | `h2(String selector, String cdata)` Add a complete H1 element
    `Hamlet.H3<Hamlet.FIELDSET<T>>` | `h3()` Add an H3 element.
    `Hamlet.FIELDSET<T>` | `h3(String cdata)` Add a complete H3 element.
    `Hamlet.FIELDSET<T>` | `h3(String selector, String cdata)` Add a complete H1 element
    `Hamlet.H4<Hamlet.FIELDSET<T>>` | `h4()` Add an H4 element.
    `Hamlet.FIELDSET<T>` | `h4(String cdata)` Add a complete H4 element.
    `Hamlet.FIELDSET<T>` | `h4(String selector, String cdata)` Add a complete H4 element
    `Hamlet.H5<Hamlet.FIELDSET<T>>` | `h5()` Add an H5 element.
    `Hamlet.FIELDSET<T>` | `h5(String cdata)` Add a complete H5 element.
    `Hamlet.FIELDSET<T>` | `h5(String selector, String cdata)` Add a complete H5 element
    `Hamlet.H6<Hamlet.FIELDSET<T>>` | `h6()` Add an H6 element.
    `Hamlet.FIELDSET<T>` | `h6(String cdata)` Add a complete H6 element.
    `Hamlet.FIELDSET<T>` | `h6(String selector, String cdata)` Add a complete H6 element.
    `Hamlet.HR<Hamlet.FIELDSET<T>>` | `hr()` Add a HR (horizontal rule) element.
    `Hamlet.FIELDSET<T>` | `hr(String selector)` Add a HR element.
    `Hamlet.I<Hamlet.FIELDSET<T>>` | `i()` Add an I (italic, alt voice/mood) element.
    `Hamlet.FIELDSET<T>` | `i(String cdata)` Add a complete I (italic, alt voice/mood) element.
    `Hamlet.FIELDSET<T>` | `i(String selector, String cdata)` Add a complete I (italic, alt voice/mood) element.
    `Hamlet.IMG<Hamlet.FIELDSET<T>>` | `img()` Add a IMG (image) element.
    `Hamlet.FIELDSET<T>` | `img(String src)` Add a IMG (image) element.
    `Hamlet.INPUT<Hamlet.FIELDSET<T>>` | `input()` Add a INPUT element.
    `Hamlet.INPUT<Hamlet.FIELDSET<T>>` | `input(String selector)` Add a INPUT element.
    `Hamlet.INS<Hamlet.FIELDSET<T>>` | `ins()` Add an INS (insert) element.
    `Hamlet.FIELDSET<T>` | `ins(String cdata)` Add a complete INS element.
    `Hamlet.KBD<Hamlet.FIELDSET<T>>` | `kbd()` Add a KBD (keyboard) element.
    `Hamlet.FIELDSET<T>` | `kbd(String cdata)` Add a KBD (keyboard) element.
    `Hamlet.FIELDSET<T>` | `kbd(String selector, String cdata)` Add a KBD (keyboard) element.
    `Hamlet.LABEL<Hamlet.FIELDSET<T>>` | `label()` Add a LABEL element.
    `Hamlet.FIELDSET<T>` | `label(String forId, String cdata)` Add a LABEL element.
    `Hamlet.LEGEND<Hamlet.FIELDSET<T>>` | `legend()` Add a LEGEND element.
    `Hamlet.FIELDSET<T>` | `legend(String cdata)` Add a LEGEND element.
    `Hamlet.MAP<Hamlet.FIELDSET<T>>` | `map()` Add a MAP element.
    `Hamlet.MAP<Hamlet.FIELDSET<T>>` | `map(String selector)` Add a MAP element.
    `Hamlet.OBJECT<Hamlet.FIELDSET<T>>` | `object()` Add an object element.
    `Hamlet.OBJECT<Hamlet.FIELDSET<T>>` | `object(String selector)` Add an object element.
    `Hamlet.OL<Hamlet.FIELDSET<T>>` | `ol()` Add a OL (ordered list) element.
    `Hamlet.OL<Hamlet.FIELDSET<T>>` | `ol(String selector)` Add a OL (ordered list) element.
    `Hamlet.P<Hamlet.FIELDSET<T>>` | `p()` Add a P (paragraph) element.
    `Hamlet.P<Hamlet.FIELDSET<T>>` | `p(String selector)` Add a P (paragraph) element.
    `Hamlet.PRE<Hamlet.FIELDSET<T>>` | `pre()` Add a PRE (preformatted) element.
    `Hamlet.PRE<Hamlet.FIELDSET<T>>` | `pre(String selector)` Add a PRE (preformatted) element.
    `Hamlet.Q<Hamlet.FIELDSET<T>>` | `q()` Add a Q (inline quotation) element.
    `Hamlet.FIELDSET<T>` | `q(String cdata)` Add a complete Q element.
    `Hamlet.FIELDSET<T>` | `q(String selector, String cdata)` Add a Q element.
    `Hamlet.SAMP<Hamlet.FIELDSET<T>>` | `samp()` Add a SAMP (sample) element.
    `Hamlet.FIELDSET<T>` | `samp(String cdata)` Add a complete SAMP (sample) element.
    `Hamlet.FIELDSET<T>` | `samp(String selector, String cdata)` Add a complete SAMP (sample) element.
    `Hamlet.SCRIPT<Hamlet.FIELDSET<T>>` | `script()` Add a script element.
    `Hamlet.FIELDSET<T>` | `script(String src)` Add a script element
    `Hamlet.SELECT<Hamlet.FIELDSET<T>>` | `select()` Add a SELECT element.
    `Hamlet.SELECT<Hamlet.FIELDSET<T>>` | `select(String selector)` Add a SELECT element.
    `Hamlet.SMALL<Hamlet.FIELDSET<T>>` | `small()` Add a SMALL (small print) element
    `Hamlet.FIELDSET<T>` | `small(String cdata)` Add a complete small (small print) element.
    `Hamlet.FIELDSET<T>` | `small(String selector, String cdata)` Add a complete small (small print) element.
    `Hamlet.SPAN<Hamlet.FIELDSET<T>>` | `span()` Add a SPAN element.
    `Hamlet.FIELDSET<T>` | `span(String cdata)` Add a SPAN element.
    `Hamlet.FIELDSET<T>` | `span(String selector, String cdata)` Add a SPAN element.
    `Hamlet.STRONG<Hamlet.FIELDSET<T>>` | `strong()` Add a STRONG (important) element.
    `Hamlet.FIELDSET<T>` | `strong(String cdata)` Add a complete STRONG (important) element.
    `Hamlet.FIELDSET<T>` | `strong(String selector, String cdata)` Add a complete STRONG (important) element.
    `Hamlet.SUB<Hamlet.FIELDSET<T>>` | `sub()` Add a SUB (subscript) element.
    `Hamlet.FIELDSET<T>` | `sub(String cdata)` Add a complete SUB (subscript) element.
    `Hamlet.FIELDSET<T>` | `sub(String selector, String cdata)` Add a complete SUB (subscript) element.
    `Hamlet.SUP<Hamlet.FIELDSET<T>>` | `sup()` Add a SUP (superscript) element.
    `Hamlet.FIELDSET<T>` | `sup(String cdata)` Add a SUP (superscript) element.
    `Hamlet.FIELDSET<T>` | `sup(String selector, String cdata)` Add a SUP (superscript) element.
    `Hamlet.TABLE<Hamlet.FIELDSET<T>>` | `table()` Add a TABLE element.
    `Hamlet.TABLE<Hamlet.FIELDSET<T>>` | `table(String selector)` Add a TABLE element.
    `Hamlet.TEXTAREA<Hamlet.FIELDSET<T>>` | `textarea()` Add a TEXTAREA element.
    `Hamlet.TEXTAREA<Hamlet.FIELDSET<T>>` | `textarea(String selector)` Add a TEXTAREA element.
    `Hamlet.FIELDSET<T>` | `textarea(String selector, String cdata)` Add a complete TEXTAREA element.
    `Hamlet.UL<Hamlet.FIELDSET<T>>` | `ul()` Add a UL (unordered list) element.
    `Hamlet.UL<Hamlet.FIELDSET<T>>` | `ul(String selector)` Add a UL (unordered list) element.
    `Hamlet.VAR<Hamlet.FIELDSET<T>>` | `var()` Add a VAR (variable) element.
    `Hamlet.FIELDSET<T>` | `var(String cdata)` Add a VAR (variable) element.
    `Hamlet.FIELDSET<T>` | `var(String selector, String cdata)` Add a VAR (variable) element.

    - ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp

      `__, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

      `__`

- - ### Constructor Detail

    - #### FIELDSET

          public FIELDSET(String name,
                          T parent,
                          EnumSet<HamletImpl.EOpt> opts)

  - ### Method Detail

    - #### $id

          public Hamlet.FIELDSET<T> $id(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      document-wide unique id
      Specified by:
        `$id` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the id
      Returns:
        the current element builder

    - #### $class

          public Hamlet.FIELDSET<T> $class(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      space-separated list of classes
      Specified by:
        `$class` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the classes
      Returns:
        the current element builder

    - #### $title

          public Hamlet.FIELDSET<T> $title(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      advisory title
      Specified by:
        `$title` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the title
      Returns:
        the current element builder

    - #### $style

          public Hamlet.FIELDSET<T> $style(String value)

      Description copied from interface: `HamletSpec.CoreAttrs`
      associated style info
      Specified by:
        `$style` in interface `HamletSpec.CoreAttrs`
      Parameters:
        `value` - the style
      Returns:
        the current element builder

    - #### $lang

          public Hamlet.FIELDSET<T> $lang(String value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      language code
      Specified by:
        `$lang` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the code
      Returns:
        the current element builder

    - #### $dir

          public Hamlet.FIELDSET<T> $dir(HamletSpec.Dir value)

      Description copied from interface: `HamletSpec.I18nAttrs`
      direction for weak/neutral text
      Specified by:
        `$dir` in interface `HamletSpec.I18nAttrs`
      Parameters:
        `value` - the `HamletSpec.Dir` value
      Returns:
        the current element builder

    - #### $onclick

          public Hamlet.FIELDSET<T> $onclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was clicked
      Specified by:
        `$onclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $ondblclick

          public Hamlet.FIELDSET<T> $ondblclick(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was double clicked
      Specified by:
        `$ondblclick` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousedown

          public Hamlet.FIELDSET<T> $onmousedown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was pressed down
      Specified by:
        `$onmousedown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseup

          public Hamlet.FIELDSET<T> $onmouseup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer button was released
      Specified by:
        `$onmouseup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseover

          public Hamlet.FIELDSET<T> $onmouseover(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved onto
      Specified by:
        `$onmouseover` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmousemove

          public Hamlet.FIELDSET<T> $onmousemove(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved within
      Specified by:
        `$onmousemove` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onmouseout

          public Hamlet.FIELDSET<T> $onmouseout(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a pointer was moved away
      Specified by:
        `$onmouseout` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeypress

          public Hamlet.FIELDSET<T> $onkeypress(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed and released
      Specified by:
        `$onkeypress` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeydown

          public Hamlet.FIELDSET<T> $onkeydown(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was pressed down
      Specified by:
        `$onkeydown` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### $onkeyup

          public Hamlet.FIELDSET<T> $onkeyup(String value)

      Description copied from interface: `HamletSpec.EventsAttrs`
      a key was released
      Specified by:
        `$onkeyup` in interface `HamletSpec.EventsAttrs`
      Parameters:
        `value` - the script
      Returns:
        the current element builder

    - #### legend

          public Hamlet.LEGEND<Hamlet.FIELDSET<T>> legend()

      Description copied from interface: `HamletSpec._Legend`
      Add a LEGEND element.
      Specified by:
        `legend` in interface `HamletSpec._Legend`
      Returns:
        a new LEGEND element builder

    - #### legend

          public Hamlet.FIELDSET<T> legend(String cdata)

      Description copied from interface: `HamletSpec._Legend`
      Add a LEGEND element.
      Specified by:
        `legend` in interface `HamletSpec._Legend`
      Returns:
        the current element builder

    - #### __

          public Hamlet.FIELDSET<T> __(Object... lines)

      Description copied from interface: `HamletSpec._Content`
      Content of the element
      Specified by:
        `__` in interface `HamletSpec._Content`
      Parameters:
        `lines` - of content
      Returns:
        the current element builder

    - #### _r

          public Hamlet.FIELDSET<T> _r(Object... lines)

      Description copied from interface: `HamletSpec._RawContent`
      Raw (no need to be HTML escaped) content
      Specified by:
        `_r` in interface `HamletSpec._RawContent`
      Parameters:
        `lines` - of content
      Returns:
        the current element builder

    - #### table

          public Hamlet.TABLE<Hamlet.FIELDSET<T>> table()

      Description copied from interface: `HamletSpec._Block`
      Add a TABLE element.
      Specified by:
        `table` in interface `HamletSpec._Block`
      Returns:
        a new TABLE element builder

    - #### table

          public Hamlet.TABLE<Hamlet.FIELDSET<T>> table(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a TABLE element.
      Specified by:
        `table` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new TABLE element builder

    - #### address

          public Hamlet.FIELDSET<T> address(String cdata)

      Description copied from interface: `HamletSpec._Block`
      Add a complete ADDRESS element.
      Specified by:
        `address` in interface `HamletSpec._Block`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### address

          public Hamlet.ADDRESS<Hamlet.FIELDSET<T>> address()

      Description copied from interface: `HamletSpec._Block`
      Add a ADDRESS element.
      Specified by:
        `address` in interface `HamletSpec._Block`
      Returns:
        a new ADDRESS element builder

    - #### p

          public Hamlet.P<Hamlet.FIELDSET<T>> p(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a P (paragraph) element.
      Specified by:
        `p` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new P element builder

    - #### p

          public Hamlet.P<Hamlet.FIELDSET<T>> p()

      Description copied from interface: `HamletSpec._Block`
      Add a P (paragraph) element.
      Specified by:
        `p` in interface `HamletSpec._Block`
      Returns:
        a new P element builder

    - #### __

          public Hamlet.FIELDSET<T> __(Class<? extends SubView> cls)

      Description copied from interface: `HamletSpec._Block`
      Embed a sub-view.
      Specified by:
        `__` in interface `HamletSpec._Block`
      Parameters:
        `cls` - the sub-view class
      Returns:
        the current element builder

    - #### hr

          public Hamlet.HR<Hamlet.FIELDSET<T>> hr()

      Description copied from interface: `HamletSpec._Block`
      Add a HR (horizontal rule) element.
      Specified by:
        `hr` in interface `HamletSpec._Block`
      Returns:
        a new HR element builder

    - #### hr

          public Hamlet.FIELDSET<T> hr(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a HR element.
      Specified by:
        `hr` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new HR element builder

    - #### dl

          public Hamlet.DL<Hamlet.FIELDSET<T>> dl(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a DL element.
      Specified by:
        `dl` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new DL element builder

    - #### dl

          public Hamlet.DL<Hamlet.FIELDSET<T>> dl()

      Description copied from interface: `HamletSpec._Block`
      Add a DL (description list) element.
      Specified by:
        `dl` in interface `HamletSpec._Block`
      Returns:
        a new DL element builder

    - #### div

          public Hamlet.DIV<Hamlet.FIELDSET<T>> div(String selector)

      Description copied from interface: `HamletSpec._Block`
      Add a DIV element.
      Specified by:
        `div` in interface `HamletSpec._Block`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new DIV element builder

    - #### div

          public Hamlet.DIV<Hamlet.FIELDSET<T>> div()

      Description copied from interface: `HamletSpec._Block`
      Add a DIV element.
      Specified by:
        `div` in interface `HamletSpec._Block`
      Returns:
        a new DIV element builder

    - #### blockquote

          public Hamlet.BLOCKQUOTE<Hamlet.FIELDSET<T>> blockquote()

      Description copied from interface: `HamletSpec._Block`
      Add a BLOCKQUOTE element.
      Specified by:
        `blockquote` in interface `HamletSpec._Block`
      Returns:
        a new BLOCKQUOTE element builder

    - #### bq

          public Hamlet.BLOCKQUOTE<Hamlet.FIELDSET<T>> bq()

      Description copied from interface: `HamletSpec._Block`
      Alias of blockquote
      Specified by:
        `bq` in interface `HamletSpec._Block`
      Returns:
        a new BLOCKQUOTE element builder

    - #### h1

          public Hamlet.FIELDSET<T> h1(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H1 element.
      Specified by:
        `h1` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h1

          public Hamlet.H1<Hamlet.FIELDSET<T>> h1()

      Description copied from interface: `HamletSpec.Heading`
      Add an H1 element.
      Specified by:
        `h1` in interface `HamletSpec.Heading`
      Returns:
        a new H1 element builder

    - #### h1

          public Hamlet.FIELDSET<T> h1(String selector,
                                       String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H1 element
      Specified by:
        `h1` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h2

          public Hamlet.FIELDSET<T> h2(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H2 element.
      Specified by:
        `h2` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h2

          public Hamlet.H2<Hamlet.FIELDSET<T>> h2()

      Description copied from interface: `HamletSpec.Heading`
      Add an H2 element.
      Specified by:
        `h2` in interface `HamletSpec.Heading`
      Returns:
        a new H2 element builder

    - #### h2

          public Hamlet.FIELDSET<T> h2(String selector,
                                       String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H1 element
      Specified by:
        `h2` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h3

          public Hamlet.H3<Hamlet.FIELDSET<T>> h3()

      Description copied from interface: `HamletSpec.Heading`
      Add an H3 element.
      Specified by:
        `h3` in interface `HamletSpec.Heading`
      Returns:
        a new H3 element builder

    - #### h3

          public Hamlet.FIELDSET<T> h3(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H3 element.
      Specified by:
        `h3` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h3

          public Hamlet.FIELDSET<T> h3(String selector,
                                       String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H1 element
      Specified by:
        `h3` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h4

          public Hamlet.H4<Hamlet.FIELDSET<T>> h4()

      Description copied from interface: `HamletSpec.Heading`
      Add an H4 element.
      Specified by:
        `h4` in interface `HamletSpec.Heading`
      Returns:
        a new H4 element builder

    - #### h4

          public Hamlet.FIELDSET<T> h4(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H4 element.
      Specified by:
        `h4` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h4

          public Hamlet.FIELDSET<T> h4(String selector,
                                       String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H4 element
      Specified by:
        `h4` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h5

          public Hamlet.H5<Hamlet.FIELDSET<T>> h5()

      Description copied from interface: `HamletSpec.Heading`
      Add an H5 element.
      Specified by:
        `h5` in interface `HamletSpec.Heading`
      Returns:
        a new H5 element builder

    - #### h5

          public Hamlet.FIELDSET<T> h5(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H5 element.
      Specified by:
        `h5` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h5

          public Hamlet.FIELDSET<T> h5(String selector,
                                       String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H5 element
      Specified by:
        `h5` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h6

          public Hamlet.H6<Hamlet.FIELDSET<T>> h6()

      Description copied from interface: `HamletSpec.Heading`
      Add an H6 element.
      Specified by:
        `h6` in interface `HamletSpec.Heading`
      Returns:
        a new H6 element builder

    - #### h6

          public Hamlet.FIELDSET<T> h6(String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H6 element.
      Specified by:
        `h6` in interface `HamletSpec.Heading`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### h6

          public Hamlet.FIELDSET<T> h6(String selector,
                                       String cdata)

      Description copied from interface: `HamletSpec.Heading`
      Add a complete H6 element.
      Specified by:
        `h6` in interface `HamletSpec.Heading`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### ul

          public Hamlet.UL<Hamlet.FIELDSET<T>> ul()

      Description copied from interface: `HamletSpec.Listing`
      Add a UL (unordered list) element.
      Specified by:
        `ul` in interface `HamletSpec.Listing`
      Returns:
        a new UL element builder

    - #### ul

          public Hamlet.UL<Hamlet.FIELDSET<T>> ul(String selector)

      Description copied from interface: `HamletSpec.Listing`
      Add a UL (unordered list) element.
      Specified by:
        `ul` in interface `HamletSpec.Listing`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
      Returns:
        a new UL element builder

    - #### ol

          public Hamlet.OL<Hamlet.FIELDSET<T>> ol()

      Description copied from interface: `HamletSpec.Listing`
      Add a OL (ordered list) element.
      Specified by:
        `ol` in interface `HamletSpec.Listing`
      Returns:
        a new UL element builder

    - #### ol

          public Hamlet.OL<Hamlet.FIELDSET<T>> ol(String selector)

      Description copied from interface: `HamletSpec.Listing`
      Add a OL (ordered list) element.
      Specified by:
        `ol` in interface `HamletSpec.Listing`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
      Returns:
        a new UL element builder

    - #### pre

          public Hamlet.PRE<Hamlet.FIELDSET<T>> pre()

      Description copied from interface: `HamletSpec.Preformatted`
      Add a PRE (preformatted) element.
      Specified by:
        `pre` in interface `HamletSpec.Preformatted`
      Returns:
        a new PRE element builder

    - #### pre

          public Hamlet.PRE<Hamlet.FIELDSET<T>> pre(String selector)

      Description copied from interface: `HamletSpec.Preformatted`
      Add a PRE (preformatted) element.
      Specified by:
        `pre` in interface `HamletSpec.Preformatted`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
      Returns:
        a new PRE element builder

    - #### form

          public Hamlet.FORM<Hamlet.FIELDSET<T>> form()

      Description copied from interface: `HamletSpec._Form`
      Add a FORM element.
      Specified by:
        `form` in interface `HamletSpec._Form`
      Returns:
        a new FORM element builder

    - #### form

          public Hamlet.FORM<Hamlet.FIELDSET<T>> form(String selector)

      Description copied from interface: `HamletSpec._Form`
      Add a FORM element.
      Specified by:
        `form` in interface `HamletSpec._Form`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new FORM element builder

    - #### fieldset

          public Hamlet.FIELDSET<Hamlet.FIELDSET<T>> fieldset()

      Description copied from interface: `HamletSpec._FieldSet`
      Add a FIELDSET element.
      Specified by:
        `fieldset` in interface `HamletSpec._FieldSet`
      Returns:
        a new FIELDSET element builder

    - #### fieldset

          public Hamlet.FIELDSET<Hamlet.FIELDSET<T>> fieldset(String selector)

      Description copied from interface: `HamletSpec._FieldSet`
      Add a FIELDSET element.
      Specified by:
        `fieldset` in interface `HamletSpec._FieldSet`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new FIELDSET element builder

    - #### b

          public Hamlet.B<Hamlet.FIELDSET<T>> b()

      Description copied from interface: `HamletSpec._FontStyle`
      Add a new B (bold/important) element.
      Specified by:
        `b` in interface `HamletSpec._FontStyle`
      Returns:
        a new B element builder

    - #### b

          public Hamlet.FIELDSET<T> b(String cdata)

      Description copied from interface: `HamletSpec._FontStyle`
      Add a complete B (bold/important) element.
      Specified by:
        `b` in interface `HamletSpec._FontStyle`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### b

          public Hamlet.FIELDSET<T> b(String selector,
                                      String cdata)

      Description copied from interface: `HamletSpec._FontStyle`
      Add a complete B (bold/important) element.
      Specified by:
        `b` in interface `HamletSpec._FontStyle`
      Parameters:
        `selector` - the css select (#id)?(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### i

          public Hamlet.I<Hamlet.FIELDSET<T>> i()

      Description copied from interface: `HamletSpec._FontStyle`
      Add an I (italic, alt voice/mood) element.
      Specified by:
        `i` in interface `HamletSpec._FontStyle`
      Returns:
        the new I element builder

    - #### i

          public Hamlet.FIELDSET<T> i(String cdata)

      Description copied from interface: `HamletSpec._FontStyle`
      Add a complete I (italic, alt voice/mood) element.
      Specified by:
        `i` in interface `HamletSpec._FontStyle`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### i

          public Hamlet.FIELDSET<T> i(String selector,
                                      String cdata)

      Description copied from interface: `HamletSpec._FontStyle`
      Add a complete I (italic, alt voice/mood) element.
      Specified by:
        `i` in interface `HamletSpec._FontStyle`
      Parameters:
        `selector` - the css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### small

          public Hamlet.SMALL<Hamlet.FIELDSET<T>> small()

      Description copied from interface: `HamletSpec._FontSize`
      Add a SMALL (small print) element
      Specified by:
        `small` in interface `HamletSpec._FontSize`
      Returns:
        a new SMALL element builder

    - #### small

          public Hamlet.FIELDSET<T> small(String cdata)

      Description copied from interface: `HamletSpec._FontSize`
      Add a complete small (small print) element. Shortcut of: small().__(cdata).__();
      Specified by:
        `small` in interface `HamletSpec._FontSize`
      Parameters:
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### small

          public Hamlet.FIELDSET<T> small(String selector,
                                          String cdata)

      Description copied from interface: `HamletSpec._FontSize`
      Add a complete small (small print) element. Shortcut of: small().$id(id).$class(class).__(cdata).__();
      Specified by:
        `small` in interface `HamletSpec._FontSize`
      Parameters:
        `selector` - css selector in the form of (#id)?(.class)*
        `cdata` - the content of the element
      Returns:
        the current element builder

    - #### em

          public Hamlet.FIELDSET<T> em(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add an EM (emphasized) element.
      Specified by:
        `em` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### em

          public Hamlet.EM<Hamlet.FIELDSET<T>> em()

      Description copied from interface: `HamletSpec.Phrase`
      Add an EM (emphasized) element.
      Specified by:
        `em` in interface `HamletSpec.Phrase`
      Returns:
        a new EM element builder

    - #### em

          public Hamlet.FIELDSET<T> em(String selector,
                                       String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add an EM (emphasized) element.
      Specified by:
        `em` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### strong

          public Hamlet.STRONG<Hamlet.FIELDSET<T>> strong()

      Description copied from interface: `HamletSpec.Phrase`
      Add a STRONG (important) element.
      Specified by:
        `strong` in interface `HamletSpec.Phrase`
      Returns:
        a new STRONG element builder

    - #### strong

          public Hamlet.FIELDSET<T> strong(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a complete STRONG (important) element.
      Specified by:
        `strong` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### strong

          public Hamlet.FIELDSET<T> strong(String selector,
                                           String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a complete STRONG (important) element.
      Specified by:
        `strong` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### dfn

          public Hamlet.DFN<Hamlet.FIELDSET<T>> dfn()

      Description copied from interface: `HamletSpec.Phrase`
      Add a DFN element.
      Specified by:
        `dfn` in interface `HamletSpec.Phrase`
      Returns:
        a new DFN element builder

    - #### dfn

          public Hamlet.FIELDSET<T> dfn(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a complete DFN element.
      Specified by:
        `dfn` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### dfn

          public Hamlet.FIELDSET<T> dfn(String selector,
                                        String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a complete DFN element.
      Specified by:
        `dfn` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### code

          public Hamlet.CODE<Hamlet.FIELDSET<T>> code()

      Description copied from interface: `HamletSpec.Phrase`
      Add a CODE (code fragment) element.
      Specified by:
        `code` in interface `HamletSpec.Phrase`
      Returns:
        a new CODE element builder

    - #### code

          public Hamlet.FIELDSET<T> code(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a complete CODE element.
      Specified by:
        `code` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the code
      Returns:
        the current element builder

    - #### code

          public Hamlet.FIELDSET<T> code(String selector,
                                         String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a complete CODE element.
      Specified by:
        `code` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the code
      Returns:
        the current element builder

    - #### samp

          public Hamlet.FIELDSET<T> samp(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a complete SAMP (sample) element.
      Specified by:
        `samp` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### samp

          public Hamlet.SAMP<Hamlet.FIELDSET<T>> samp()

      Description copied from interface: `HamletSpec.Phrase`
      Add a SAMP (sample) element.
      Specified by:
        `samp` in interface `HamletSpec.Phrase`
      Returns:
        a new SAMP element builder

    - #### samp

          public Hamlet.FIELDSET<T> samp(String selector,
                                         String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a complete SAMP (sample) element.
      Specified by:
        `samp` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### kbd

          public Hamlet.KBD<Hamlet.FIELDSET<T>> kbd()

      Description copied from interface: `HamletSpec.Phrase`
      Add a KBD (keyboard) element.
      Specified by:
        `kbd` in interface `HamletSpec.Phrase`
      Returns:
        a new KBD element builder

    - #### kbd

          public Hamlet.FIELDSET<T> kbd(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a KBD (keyboard) element.
      Specified by:
        `kbd` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### kbd

          public Hamlet.FIELDSET<T> kbd(String selector,
                                        String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a KBD (keyboard) element.
      Specified by:
        `kbd` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### var

          public Hamlet.VAR<Hamlet.FIELDSET<T>> var()

      Description copied from interface: `HamletSpec.Phrase`
      Add a VAR (variable) element.
      Specified by:
        `var` in interface `HamletSpec.Phrase`
      Returns:
        a new VAR element builder

    - #### var

          public Hamlet.FIELDSET<T> var(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a VAR (variable) element.
      Specified by:
        `var` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### var

          public Hamlet.FIELDSET<T> var(String selector,
                                        String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a VAR (variable) element.
      Specified by:
        `var` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### cite

          public Hamlet.CITE<Hamlet.FIELDSET<T>> cite()

      Description copied from interface: `HamletSpec.Phrase`
      Add a CITE element.
      Specified by:
        `cite` in interface `HamletSpec.Phrase`
      Returns:
        a new CITE element builder

    - #### cite

          public Hamlet.FIELDSET<T> cite(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a CITE element.
      Specified by:
        `cite` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### cite

          public Hamlet.FIELDSET<T> cite(String selector,
                                         String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a CITE element.
      Specified by:
        `cite` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### abbr

          public Hamlet.ABBR<Hamlet.FIELDSET<T>> abbr()

      Description copied from interface: `HamletSpec.Phrase`
      Add an ABBR (abbreviation) element.
      Specified by:
        `abbr` in interface `HamletSpec.Phrase`
      Returns:
        a new ABBR element builder

    - #### abbr

          public Hamlet.FIELDSET<T> abbr(String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a ABBR (abbreviation) element.
      Specified by:
        `abbr` in interface `HamletSpec.Phrase`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### abbr

          public Hamlet.FIELDSET<T> abbr(String selector,
                                         String cdata)

      Description copied from interface: `HamletSpec.Phrase`
      Add a ABBR (abbreviation) element.
      Specified by:
        `abbr` in interface `HamletSpec.Phrase`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### a

          public Hamlet.A<Hamlet.FIELDSET<T>> a()

      Description copied from interface: `HamletSpec._Anchor`
      Add a A (anchor) element.
      Specified by:
        `a` in interface `HamletSpec._Anchor`
      Returns:
        a new A element builder

    - #### a

          public Hamlet.A<Hamlet.FIELDSET<T>> a(String selector)

      Description copied from interface: `HamletSpec._Anchor`
      Add a A (anchor) element.
      Specified by:
        `a` in interface `HamletSpec._Anchor`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new A element builder

    - #### a

          public Hamlet.FIELDSET<T> a(String href,
                                      String anchorText)

      Description copied from interface: `HamletSpec._Anchor`
      Shortcut for `a().$href(href).__(anchorText).__();`
      Specified by:
        `a` in interface `HamletSpec._Anchor`
      Parameters:
        `href` - the URI
        `anchorText` - for the URI
      Returns:
        the current element builder

    - #### a

          public Hamlet.FIELDSET<T> a(String selector,
                                      String href,
                                      String anchorText)

      Description copied from interface: `HamletSpec._Anchor`
      Shortcut for `a(selector).$href(href).__(anchorText).__();`
      Specified by:
        `a` in interface `HamletSpec._Anchor`
      Parameters:
        `selector` - in the form of (#id)?(.class)*
        `href` - the URI
        `anchorText` - for the URI
      Returns:
        the current element builder

    - #### img

          public Hamlet.IMG<Hamlet.FIELDSET<T>> img()

      Description copied from interface: `HamletSpec._ImgObject`
      Add a IMG (image) element.
      Specified by:
        `img` in interface `HamletSpec._ImgObject`
      Returns:
        a new IMG element builder

    - #### img

          public Hamlet.FIELDSET<T> img(String src)

      Description copied from interface: `HamletSpec._ImgObject`
      Add a IMG (image) element.
      Specified by:
        `img` in interface `HamletSpec._ImgObject`
      Parameters:
        `src` - the source URL of the image
      Returns:
        the current element builder

    - #### object

          public Hamlet.OBJECT<Hamlet.FIELDSET<T>> object()

      Description copied from interface: `HamletSpec._Object`
      Add an object element.
      Specified by:
        `object` in interface `HamletSpec._Object`
      Returns:
        an object element builder

    - #### object

          public Hamlet.OBJECT<Hamlet.FIELDSET<T>> object(String selector)

      Description copied from interface: `HamletSpec._Object`
      Add an object element.
      Specified by:
        `object` in interface `HamletSpec._Object`
      Parameters:
        `selector` - as #id.class etc.
      Returns:
        an object element builder

    - #### sub

          public Hamlet.SUB<Hamlet.FIELDSET<T>> sub()

      Description copied from interface: `HamletSpec._SubSup`
      Add a SUB (subscript) element.
      Specified by:
        `sub` in interface `HamletSpec._SubSup`
      Returns:
        a new SUB element builder

    - #### sub

          public Hamlet.FIELDSET<T> sub(String cdata)

      Description copied from interface: `HamletSpec._SubSup`
      Add a complete SUB (subscript) element.
      Specified by:
        `sub` in interface `HamletSpec._SubSup`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### sub

          public Hamlet.FIELDSET<T> sub(String selector,
                                        String cdata)

      Description copied from interface: `HamletSpec._SubSup`
      Add a complete SUB (subscript) element.
      Specified by:
        `sub` in interface `HamletSpec._SubSup`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### sup

          public Hamlet.SUP<Hamlet.FIELDSET<T>> sup()

      Description copied from interface: `HamletSpec._SubSup`
      Add a SUP (superscript) element.
      Specified by:
        `sup` in interface `HamletSpec._SubSup`
      Returns:
        a new SUP element builder

    - #### sup

          public Hamlet.FIELDSET<T> sup(String cdata)

      Description copied from interface: `HamletSpec._SubSup`
      Add a SUP (superscript) element.
      Specified by:
        `sup` in interface `HamletSpec._SubSup`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### sup

          public Hamlet.FIELDSET<T> sup(String selector,
                                        String cdata)

      Description copied from interface: `HamletSpec._SubSup`
      Add a SUP (superscript) element.
      Specified by:
        `sup` in interface `HamletSpec._SubSup`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### map

          public Hamlet.MAP<Hamlet.FIELDSET<T>> map()

      Description copied from interface: `HamletSpec._Special`
      Add a MAP element.
      Specified by:
        `map` in interface `HamletSpec._Special`
      Returns:
        a new MAP element builder

    - #### map

          public Hamlet.MAP<Hamlet.FIELDSET<T>> map(String selector)

      Description copied from interface: `HamletSpec._Special`
      Add a MAP element.
      Specified by:
        `map` in interface `HamletSpec._Special`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new MAP element builder

    - #### q

          public Hamlet.FIELDSET<T> q(String cdata)

      Description copied from interface: `HamletSpec._Special`
      Add a complete Q element.
      Specified by:
        `q` in interface `HamletSpec._Special`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### q

          public Hamlet.FIELDSET<T> q(String selector,
                                      String cdata)

      Description copied from interface: `HamletSpec._Special`
      Add a Q element.
      Specified by:
        `q` in interface `HamletSpec._Special`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### q

          public Hamlet.Q<Hamlet.FIELDSET<T>> q()

      Description copied from interface: `HamletSpec._Special`
      Add a Q (inline quotation) element.
      Specified by:
        `q` in interface `HamletSpec._Special`
      Returns:
        a q (inline quotation) element builder

    - #### br

          public Hamlet.BR<Hamlet.FIELDSET<T>> br()

      Description copied from interface: `HamletSpec._Special`
      Add a BR (line break) element.
      Specified by:
        `br` in interface `HamletSpec._Special`
      Returns:
        a new BR element builder

    - #### br

          public Hamlet.FIELDSET<T> br(String selector)

      Description copied from interface: `HamletSpec._Special`
      Add a BR (line break) element.
      Specified by:
        `br` in interface `HamletSpec._Special`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        the current element builder

    - #### bdo

          public Hamlet.BDO<Hamlet.FIELDSET<T>> bdo()

      Description copied from interface: `HamletSpec._Special`
      Add a bdo (bidirectional override) element
      Specified by:
        `bdo` in interface `HamletSpec._Special`
      Returns:
        a bdo element builder

    - #### bdo

          public Hamlet.FIELDSET<T> bdo(HamletSpec.Dir dir,
                                        String cdata)

      Description copied from interface: `HamletSpec._Special`
      Add a bdo (bidirectional override) element
      Specified by:
        `bdo` in interface `HamletSpec._Special`
      Parameters:
        `dir` - the direction of the text
        `cdata` - the text
      Returns:
        the current element builder

    - #### span

          public Hamlet.SPAN<Hamlet.FIELDSET<T>> span()

      Description copied from interface: `HamletSpec._Special`
      Add a SPAN element.
      Specified by:
        `span` in interface `HamletSpec._Special`
      Returns:
        a new SPAN element builder

    - #### span

          public Hamlet.FIELDSET<T> span(String cdata)

      Description copied from interface: `HamletSpec._Special`
      Add a SPAN element.
      Specified by:
        `span` in interface `HamletSpec._Special`
      Parameters:
        `cdata` - the content
      Returns:
        the current element builder

    - #### span

          public Hamlet.FIELDSET<T> span(String selector,
                                         String cdata)

      Description copied from interface: `HamletSpec._Special`
      Add a SPAN element.
      Specified by:
        `span` in interface `HamletSpec._Special`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### script

          public Hamlet.SCRIPT<Hamlet.FIELDSET<T>> script()

      Description copied from interface: `HamletSpec._Script`
      Add a script element.
      Specified by:
        `script` in interface `HamletSpec._Script`
      Returns:
        a script element builder

    - #### script

          public Hamlet.FIELDSET<T> script(String src)

      Description copied from interface: `HamletSpec._Script`
      Add a script element
      Specified by:
        `script` in interface `HamletSpec._Script`
      Parameters:
        `src` - uri of the script
      Returns:
        the current element builder

    - #### ins

          public Hamlet.INS<Hamlet.FIELDSET<T>> ins()

      Description copied from interface: `HamletSpec._InsDel`
      Add an INS (insert) element.
      Specified by:
        `ins` in interface `HamletSpec._InsDel`
      Returns:
        an INS element builder

    - #### ins

          public Hamlet.FIELDSET<T> ins(String cdata)

      Description copied from interface: `HamletSpec._InsDel`
      Add a complete INS element.
      Specified by:
        `ins` in interface `HamletSpec._InsDel`
      Parameters:
        `cdata` - inserted data
      Returns:
        the current element builder

    - #### del

          public Hamlet.DEL<Hamlet.FIELDSET<T>> del()

      Description copied from interface: `HamletSpec._InsDel`
      Add a DEL (delete) element.
      Specified by:
        `del` in interface `HamletSpec._InsDel`
      Returns:
        a DEL element builder

    - #### del

          public Hamlet.FIELDSET<T> del(String cdata)

      Description copied from interface: `HamletSpec._InsDel`
      Add a complete DEL element.
      Specified by:
        `del` in interface `HamletSpec._InsDel`
      Parameters:
        `cdata` - deleted data
      Returns:
        the current element builder

    - #### label

          public Hamlet.LABEL<Hamlet.FIELDSET<T>> label()

      Description copied from interface: `HamletSpec._Label`
      Add a LABEL element.
      Specified by:
        `label` in interface `HamletSpec._Label`
      Returns:
        a new LABEL element builder

    - #### label

          public Hamlet.FIELDSET<T> label(String forId,
                                          String cdata)

      Description copied from interface: `HamletSpec._Label`
      Add a LABEL element. Shortcut of `label().$for(forId).__(cdata).__();`
      Specified by:
        `label` in interface `HamletSpec._Label`
      Parameters:
        `forId` - the for attribute
        `cdata` - the content
      Returns:
        the current element builder

    - #### input

          public Hamlet.INPUT<Hamlet.FIELDSET<T>> input(String selector)

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a INPUT element.
      Specified by:
        `input` in interface `HamletSpec._FormCtrl`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new INPUT element builder

    - #### input

          public Hamlet.INPUT<Hamlet.FIELDSET<T>> input()

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a INPUT element.
      Specified by:
        `input` in interface `HamletSpec._FormCtrl`
      Returns:
        a new INPUT element builder

    - #### select

          public Hamlet.SELECT<Hamlet.FIELDSET<T>> select()

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a SELECT element.
      Specified by:
        `select` in interface `HamletSpec._FormCtrl`
      Returns:
        a new SELECT element builder

    - #### select

          public Hamlet.SELECT<Hamlet.FIELDSET<T>> select(String selector)

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a SELECT element.
      Specified by:
        `select` in interface `HamletSpec._FormCtrl`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new SELECT element builder

    - #### textarea

          public Hamlet.TEXTAREA<Hamlet.FIELDSET<T>> textarea(String selector)

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a TEXTAREA element.
      Specified by:
        `textarea` in interface `HamletSpec._FormCtrl`
      Returns:
        a new TEXTAREA element builder

    - #### textarea

          public Hamlet.TEXTAREA<Hamlet.FIELDSET<T>> textarea()

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a TEXTAREA element.
      Specified by:
        `textarea` in interface `HamletSpec._FormCtrl`
      Returns:
        a new TEXTAREA element builder

    - #### textarea

          public Hamlet.FIELDSET<T> textarea(String selector,
                                             String cdata)

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a complete TEXTAREA element.
      Specified by:
        `textarea` in interface `HamletSpec._FormCtrl`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

    - #### button

          public Hamlet.BUTTON<Hamlet.FIELDSET<T>> button()

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a BUTTON element.
      Specified by:
        `button` in interface `HamletSpec._FormCtrl`
      Returns:
        a new BUTTON element builder

    - #### button

          public Hamlet.BUTTON<Hamlet.FIELDSET<T>> button(String selector)

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a BUTTON element.
      Specified by:
        `button` in interface `HamletSpec._FormCtrl`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
      Returns:
        a new BUTTON element builder

    - #### button

          public Hamlet.FIELDSET<T> button(String selector,
                                           String cdata)

      Description copied from interface: `HamletSpec._FormCtrl`
      Add a complete BUTTON element.
      Specified by:
        `button` in interface `HamletSpec._FormCtrl`
      Parameters:
        `selector` - the css selector in the form of (#id)*(.class)*
        `cdata` - the content
      Returns:
        the current element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.